External Monitor not Sleeping with Laptop Lid Closed

Bug #550054 reported by Todd Morgan
74
This bug affects 13 people
Affects Status Importance Assigned to Milestone
gnome-power
Expired
Medium
gnome-power-manager (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: gnome-power-manager

In Ubuntu 10.04, the gnome-power-manager seems to have no effect on my laptop. I am running my Toshiba laptop with an external monitor and the laptop LCD disabled. I've set the gnome-power manager to turn the screen off after 10 minutes (the time is actually irrelevant), but the screen will never turn off. It doesn't matter if I have the screensaver set to activate or not. It also doesn't matter how much time I tell the manager to wait before powering down the monitor. The monitor stays on no matter what.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: gnome-power-manager 2.29.91-0ubuntu9
ProcVersionSignature: Ubuntu 2.6.32-17.26-generic 2.6.32.10+drm33.1
Uname: Linux 2.6.32-17-generic i686
Architecture: i386
Date: Sun Mar 28 00:18:29 2010
GnomeSessionIdleInhibited: No
GnomeSessionInhibitors: None
GnomeSessionSuspendInhibited: No
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta i386 (20100318)
MachineType: TOSHIBA Satellite M105
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-17-generic root=UUID=188be98a-11ff-4e0a-a433-bfecef18c900 ro quiet splash
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
SourcePackage: gnome-power-manager
dmi.bios.date: 09/13/2007
dmi.bios.vendor: TOSHIBA
dmi.bios.version: V2.90
dmi.board.name: HAQAA
dmi.board.vendor: TOSHIBA
dmi.board.version: Null
dmi.chassis.asset.tag: *
dmi.chassis.type: 10
dmi.chassis.vendor: TOSHIBA
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnTOSHIBA:bvrV2.90:bd09/13/2007:svnTOSHIBA:pnSatelliteM105:pvrPSMA0U-0F201T:rvnTOSHIBA:rnHAQAA:rvrNull:cvnTOSHIBA:ct10:cvrN/A:
dmi.product.name: Satellite M105
dmi.product.version: PSMA0U-0F201T
dmi.sys.vendor: TOSHIBA

Revision history for this message
Todd Morgan (tubatodd) wrote :
Revision history for this message
Todd Morgan (tubatodd) wrote :

Additional Info:

I noticed that when I set the power monitor to put my monitor to sleep, that after the appropriate time has elapsed, a new icon appears in the indicator area. When I move the mouse to see what it says, it immediately goes away. After having looked through the icons in the default Lucid theme, the icon is the view-full-screen icon. The screen is not being powered down, but it would appear that there is an event of some kind happening in correlation with the time that I set the monitor to power down.

Revision history for this message
nightflow (philchungny) wrote :

I had this same issue with Karmic. It seems gnome-power-manager gets confused when the laptop lid is closed and an external monitor is used instead as the primary display. I wrote a script to set the monitor to standby and I run it in System,Preferences,Startup Applications.

$ cat poweroffexternalmonitor.pl

#!/usr/bin/perl
#
# Workaround to put external monitor to standby.
# gnome-power-manager seems to get confused when the laptop lid is closed
# and an external monitor is used instead as the primary display
#
# Works with Ubuntu Karmic Koala 9.10 and later
# Change 'ActiveChanged' to 'SessionIdleChanged' for earlier Ubuntu versions
#
# @author pchung
#
my $cmd = "dbus-monitor --session \"type='signal',interface='org.gnome.ScreenSaver', member='ActiveChanged'\"";

open (IN, "$cmd |");

while (<IN>) {
 if (m/^\s+boolean true/) {
  system("xset dpms force standby");
 }
}

Revision history for this message
Tom Star (cstamas77) wrote :

The same problem with Ubuntu 10.04, MSI CX600 notebook with ATI VGA card. As long as the lid is open, everything is fine. When I close it, the external display does not get turned off any more.

I have tried the script above, but unfortunately it did not work.

Revision history for this message
nightflow (philchungny) wrote :

Did you set your screensaver to activate? The script works by getting triggered by the screensaver event. Once triggered, it calls a command to set the monitor to standby.

Revision history for this message
Tom Star (cstamas77) wrote :

Yes, I did set the screensaver to activate! The problem is that this script kept turning my external display off whenever I stopped moving the mouse -immediately! :-)

Here is what I did:
- Copied your Perl script from this webpage.
- Pasted it into my editor (checked that it contains no malicious code :).
- Saved your script into /usr/local/bin.
- Added read and execution rights for everyone.
- Added it to System/Preferences/Startup Applications.
- Rebooted my Linux.

And then I had to disable the script, because of the mentioned problem.

By the way: thank you that you at least made an effort to help us!

Revision history for this message
nightflow (philchungny) wrote :

Seems there's an easy way to diagnose this. Just use the dbus-monitor to see what events are generated on your system when the screensaver activates and note the member name. Substitute that into the script and it should be triggered on the correct event generated on your system. In 9.04 and older, the event was SessionIdleChanged. Let us know what event is generated on your system. Thanks.

$ dbus-monitor type=signal interface="org.gnome.ScreenSaver"

Revision history for this message
Tom Star (cstamas77) wrote :

Hi nightflow,

Initially when I used the command you posted, every time a signal was received with a member value ActiveChanged, the display was turned off immediately. So for some bizarre reason the interface name was totally ignored (e.g. when I plugged in/unplugged my USB pendrive, the display was turned off immediately, because the member value matched the one I was looking for, even though the interface was different).
But I have just repeated the test a couple times, and now it seems to be working fine. I have no idea what happened last time, or why it is working now.

Anyway, with your help, now this problem is solved (on my machine at least) -thank you for your help!

Revision history for this message
Willie Prinsloo (willie) wrote :

I have the same problem. Dell laptop running 10.04 with external screen. I disabled the internal screen and made the external the primary one. The screen does not go to sleep. I tried the script but it did not work. Unlike with Tom Star, mine still does not work. Any suggestions or do we just wait for a fix? Thanks.

Revision history for this message
Pedro Villavicencio (pedro) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. A new version of Gnome Power Manager is available on Maverick and we are wondering if this bug is still an issue for you with that version? Could you please test and comment back? Thanks in advance.

Changed in gnome-power-manager (Ubuntu):
status: New → Incomplete
Revision history for this message
Matthias Blaicher (blaicher) wrote : Re: [Bug 550054] Re: Power Manager Not putting Monitor to Sleep

It's still an issue here for the external display.

$ uname -a
Linux miraculix 2.6.35-22-generic #34-Ubuntu SMP Sun Oct 10 09:26:05
UTC 2010 x86_64 GNU/Linux
$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 10.10
Release: 10.10
Codename: maverick

The perl script works though.

On Fri, Oct 15, 2010 at 8:18 PM, Pedro Villavicencio <email address hidden> wrote:
> Thank you for taking the time to report this bug and helping to make
> Ubuntu better. A new version of Gnome Power Manager is available on
> Maverick and we are wondering if this bug is still an issue for you with
> that version? Could you please test and comment back? Thanks in advance.
>
> ** Changed in: gnome-power-manager (Ubuntu)
>       Status: New => Incomplete
>
> --
> Power Manager Not putting Monitor to Sleep
> https://bugs.launchpad.net/bugs/550054
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “gnome-power-manager” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: gnome-power-manager
>
> In Ubuntu 10.04, the gnome-power-manager seems to have no effect on my laptop. I am running my Toshiba laptop with an external monitor and the laptop LCD disabled. I've set the gnome-power manager to turn the screen off after 10 minutes (the time is actually irrelevant), but the screen will never turn off. It doesn't matter if I have the screensaver set to activate or not. It also doesn't matter how much time I tell the manager to wait before powering down the monitor. The monitor stays on no matter what.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.04
> Package: gnome-power-manager 2.29.91-0ubuntu9
> ProcVersionSignature: Ubuntu 2.6.32-17.26-generic 2.6.32.10+drm33.1
> Uname: Linux 2.6.32-17-generic i686
> Architecture: i386
> Date: Sun Mar 28 00:18:29 2010
> GnomeSessionIdleInhibited: No
> GnomeSessionInhibitors: None
> GnomeSessionSuspendInhibited: No
> InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta i386 (20100318)
> MachineType: TOSHIBA Satellite M105
> PccardctlIdent:
>  Socket 0:
>   no product info available
> PccardctlStatus:
>  Socket 0:
>   no card
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-17-generic root=UUID=188be98a-11ff-4e0a-a433-bfecef18c900 ro quiet splash
> ProcEnviron:
>  LANG=en_US.utf8
>  SHELL=/bin/bash
> SourcePackage: gnome-power-manager
> dmi.bios.date: 09/13/2007
> dmi.bios.vendor: TOSHIBA
> dmi.bios.version: V2.90
> dmi.board.name: HAQAA
> dmi.board.vendor: TOSHIBA
> dmi.board.version: Null
> dmi.chassis.asset.tag: *
> dmi.chassis.type: 10
> dmi.chassis.vendor: TOSHIBA
> dmi.chassis.version: N/A
> dmi.modalias: dmi:bvnTOSHIBA:bvrV2.90:bd09/13/2007:svnTOSHIBA:pnSatelliteM105:pvrPSMA0U-0F201T:rvnTOSHIBA:rnHAQAA:rvrNull:cvnTOSHIBA:ct10:cvrN/A:
> dmi.product.name: Satellite M105
> dmi.product.version: PSMA0U-0F201T
> dmi.sys.vendor: TOSHIBA
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/gnome-power-manager/+bug/550054/+subscribe
>

Revision history for this message
Willie Prinsloo (willie) wrote :

My problem is still the same. I also upgraded to Meerkat. If I open the
laptop lid and disable the laptop screen, the external screen will go to
sleep. But this is not the way it is should be.

Thanks for looking into the problem.

On Sat, Oct 16, 2010 at 5:18 AM, Pedro Villavicencio <email address hidden>wrote:

> Thank you for taking the time to report this bug and helping to make
> Ubuntu better. A new version of Gnome Power Manager is available on
> Maverick and we are wondering if this bug is still an issue for you with
> that version? Could you please test and comment back? Thanks in advance.
>
> ** Changed in: gnome-power-manager (Ubuntu)
> Status: New => Incomplete
>
> --
> Power Manager Not putting Monitor to Sleep
> https://bugs.launchpad.net/bugs/550054
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “gnome-power-manager” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: gnome-power-manager
>
> In Ubuntu 10.04, the gnome-power-manager seems to have no effect on my
> laptop. I am running my Toshiba laptop with an external monitor and the
> laptop LCD disabled. I've set the gnome-power manager to turn the screen off
> after 10 minutes (the time is actually irrelevant), but the screen will
> never turn off. It doesn't matter if I have the screensaver set to activate
> or not. It also doesn't matter how much time I tell the manager to wait
> before powering down the monitor. The monitor stays on no matter what.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.04
> Package: gnome-power-manager 2.29.91-0ubuntu9
> ProcVersionSignature: Ubuntu 2.6.32-17.26-generic 2.6.32.10+drm33.1
> Uname: Linux 2.6.32-17-generic i686
> Architecture: i386
> Date: Sun Mar 28 00:18:29 2010
> GnomeSessionIdleInhibited: No
> GnomeSessionInhibitors: None
> GnomeSessionSuspendInhibited: No
> InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta i386 (20100318)
> MachineType: TOSHIBA Satellite M105
> PccardctlIdent:
> Socket 0:
> no product info available
> PccardctlStatus:
> Socket 0:
> no card
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-17-generic
> root=UUID=188be98a-11ff-4e0a-a433-bfecef18c900 ro quiet splash
> ProcEnviron:
> LANG=en_US.utf8
> SHELL=/bin/bash
> SourcePackage: gnome-power-manager
> dmi.bios.date: 09/13/2007
> dmi.bios.vendor: TOSHIBA
> dmi.bios.version: V2.90
> dmi.board.name: HAQAA
> dmi.board.vendor: TOSHIBA
> dmi.board.version: Null
> dmi.chassis.asset.tag: *
> dmi.chassis.type: 10
> dmi.chassis.vendor: TOSHIBA
> dmi.chassis.version: N/A
> dmi.modalias:
> dmi:bvnTOSHIBA:bvrV2.90:bd09/13/2007:svnTOSHIBA:pnSatelliteM105:pvrPSMA0U-0F201T:rvnTOSHIBA:rnHAQAA:rvrNull:cvnTOSHIBA:ct10:cvrN/A:
> dmi.product.name: Satellite M105
> dmi.product.version: PSMA0U-0F201T
> dmi.sys.vendor: TOSHIBA
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/gnome-power-manager/+bug/550054/+subscribe
>

Revision history for this message
Matt McKimmy (mckimmy-me) wrote : Re: Power Manager Not putting Monitor to Sleep

I'm running a fresh install of Maverick and encountering the same problem using a Lenovo X61 tablet. When I have the computer on the docking station with the lid closed, the external monitor will never sleep.

I did some troubleshooting and the problem stems from the fact that GPM ignores state changes whenever the lid is closed. While this may make perfect sense when the internal monitor is the only one active, it makes no sense when an external monitor is attached.

Thank you, nightflow, for the perl-script fix. It worked perfectly, though it should not have been necessary in the first place.

If additional logs, etc. would be helpful for fixing this bug, please let me know.

Revision history for this message
Troy R. (dsm-iv-tr) wrote :

Same problem in Maverick 10.10, fresh install.

I've attached more information for this that may be helpful at:
https://bugs.launchpad.net/ubuntu/+source/gnome-power-manager/+bug/694016

The difference is that in my case, on 10.10, the bug only triggers when the laptop lid is closed.

Cas (calumlind)
Changed in gnome-power-manager (Ubuntu):
status: Incomplete → Confirmed
summary: - Power Manager Not putting Monitor to Sleep
+ Power Manager Not putting Monitor to Sleep with Laptop Lid Closed
Cas (calumlind)
summary: - Power Manager Not putting Monitor to Sleep with Laptop Lid Closed
+ External Monitor not Sleeping with Laptop Lid Closed
Changed in gnome-power:
importance: Unknown → Medium
status: Unknown → New
Revision history for this message
cacula (cacula) wrote :

same here :-(

dell latitude e6510 with docking station and external monitor

cacula@E6510:~$ uname -a
Linux E6510 2.6.38-11-generic #47-Ubuntu SMP Fri Jul 15 19:27:09 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
cacula@E6510:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 11.04
Release: 11.04
Codename: natty
cacula@E6510:~$ dpkg --status nvidia-current | grep Version
Version: 275.19-0ubuntu1~natty~xup1

bug only present when lid closed

Revision history for this message
Rustom Mirza (rustom-mirza) wrote :

This bug has affected me with 10.10 and 11.04

Lenovo thinkpad T400 with docking station and external monitor

%uname -a
Linux 2.6.38-11-generic #48-Ubuntu SMP Fri Jul 29 19:05:14 UTC 2011 i686 i686 i386 GNU/Linux

%lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 11.04
Release: 11.04
Codename: natty

As others have stated, the bug is present when lid is closed.

Revision history for this message
Damon Lynch (dlynch3) wrote :

Good news: I had the bug in versions up to and including 11.04, but it appears to be fixed in 11.10. Can someone else confirm it works for them?

Revision history for this message
Patrick Pfeifer (patrick2000) wrote :

In Ubuntu Natty (11.04), you can try this
https://launchpad.net/~patrick2000/+archive/pathos/+sourcepub/1946736/+listing-archive-extra
 ppa
https://launchpad.net/~patrick2000/+archive/pathos/+packages
package, which fixes it for me.

The problem, as I picked up somewhere, is that "xset dpms force on" / "xset dpms force off", which is ~ how gpm unblanks/blanks the screen, affects all attached screens. If the laptops built-in display is not turned off by the *hardware* (without help of gpm), gpm (I think :-)) turns it off via dpms when it is closed. Now if you blank the displays during idle time using dpms, they have to be unblanked at some time again. At that time, the internal display could now unintentionally be turned on as well (if it is not completeley turned of by the hardware anyway). I don't know how/if this is solved in oneiric. Phew... as said: works for me - and probably most other laptops.

Changed in gnome-power:
status: New → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.